Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynSequence Interface Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynSequence:

[legend]
Collaboration diagram for DynamicAny::DynSequence:

[legend]
List of all members.

## Public Types
typedef DynSequence_ptr | _ptr_type
typedef DynSequence_var | _var_type
## Public Methods
unsigned long | get_length ()
void | set_length (in unsigned long len) raises (InvalidValue)
AnySeq | get_elements ()
void | set_elements (in AnySeq value) raises (TypeMismatch, InvalidValue)
DynAnySeq | get_elements_as_dyn_any ()
void | set_elements_as_dyn_any (in DynAnySeq value) raises (TypeMismatch, InvalidValue)
virtual CORBA::ULong | get_length (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_length (CORBA::ULong len ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::AnySeq * | get_elements (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_elements (const DynamicAny::AnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::DynAnySeq * | get_elements_as_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_elements_as_dyn_any (const DynamicAny::DynAnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
DynSequence_ptr | _duplicate (DynSequence_ptr obj)
DynSequence_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynSequence_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynSequence_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id = 0
## Protected Methods
| DynSequence (void)
virtual | ~DynSequence (void)
## Private Methods
| DynSequence (const DynSequence &)
void | operator= (const DynSequence &)

## Member Typedef Documentation

typedef DynSequence_ptr DynamicAny::DynSequence::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynSequence_var DynamicAny::DynSequence::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynSequence::DynSequence | ( | void |  | ) | `[protected]`

virtual DynamicAny::DynSequence::~DynSequence | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynSequence::DynSequence | ( | const DynSequence & |  | ) | `[private]`

## Member Function Documentation

DynSequence_ptr DynamicAny::DynSequence::_duplicate | ( | DynSequence_ptr | obj | ) | `[static]`

virtual const char* DynamicAny::DynSequence::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynSequence_ptr DynamicAny::DynSequence::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from DynamicAny::DynAny. Reimplemented in TAO_DynSequence_i.

DynSequence_ptr DynamicAny::DynSequence::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual void* DynamicAny::DynSequence::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny. Reimplemented in TAO_DynSequence_i.

DynSequence_ptr DynamicAny::DynSequence::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny.

virtual ::DynamicAny::AnySeq* DynamicAny::DynSequence::get_elements | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_DynSequence_i.

AnySeq DynamicAny::DynSequence::get_elements | ( |  | ) |

virtual ::DynamicAny::DynAnySeq* DynamicAny::DynSequence::get_elements_as_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_DynSequence_i.

DynAnySeq DynamicAny::DynSequence::get_elements_as_dyn_any | ( |  | ) |

virtual CORBA::ULong DynamicAny::DynSequence::get_length | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_DynSequence_i.

unsigned long DynamicAny::DynSequence::get_length | ( |  | ) |

void DynamicAny::DynSequence::operator= | ( | const DynSequence & |  | ) | `[private]`

virtual void DynamicAny::DynSequence::set_elements | ( | const DynamicAny::AnySeq &value | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Reimplemented in TAO_DynSequence_i.

void DynamicAny::DynSequence::set_elements | ( | in AnySeq | value | ) | raises (TypeMismatch, InvalidValue)

virtual void DynamicAny::DynSequence::set_elements_as_dyn_any | ( | const DynamicAny::DynAnySeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Reimplemented in TAO_DynSequence_i.

void DynamicAny::DynSequence::set_elements_as_dyn_any | ( | in DynAnySeq | value | ) | raises (TypeMismatch, InvalidValue)

virtual void DynamicAny::DynSequence::set_length | ( | CORBA::ULong len | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Reimplemented in TAO_DynSequence_i.

void DynamicAny::DynSequence::set_length | ( | in unsigned long | len | ) | raises (InvalidValue)

## Member Data Documentation

int DynamicAny::DynSequence::_tao_class_id = 0`[static]`

| Reimplemented from DynamicAny::DynAny.

The documentation for this interface was generated from the following files:

- DynamicAny.pidl
- DynamicAnyC.h
- DynamicAnyC.cpp